### Function

# Vte Uuid validate_string

since: 0.78

#### Declaration [src]

    gboolean
    vte_uuid_validate_string (
      const char* str,
      gssize len,
      VteUuidFormat fmt
    )

#### Description [src]

Checks whether `str` is a valid string representation of an UUID.

Available since: 0.78

#### Parameters

`str`

  Type: `const char*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `gssize`

  The length of `str`, or -1 is `str` is NUL terminated.

`fmt`

  Type: `VteUuidFormat`

  A `VteUuidFormat`.

#### Return value

Type: `gboolean`

`TRUE` iff `str` is a valid string representation.